{% extends 'report/insights/insights.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('report/insights/survey_result/survey_result') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('report/insights/survey_result/survey_result') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('report_insights_survey_result_overview') }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center w-100">{{ surveyResult.getTitle() }}</span>
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <h2 class="mb-3 fs-3">{{ surveyResult.getTitle() }}</h2>
            <div class="row">
                {% if (surveyResult.getImage()) %}
                    <div class="col-sm-6 mb-3">
                        <img class="img-fluid" src="{{ path('file', {'fileUuid': surveyResult.getImage().getFile().getUuid()}) }}" alt="{{ surveyResult.getImage().getTitle() }}">
                    </div>
                {% endif %}
                <div class="col-sm-6 mb-3">
                    {{ surveyResult.getDescription()|nl2br }}
                </div>
            </div>
            {% if surveyResult.getDocument() != null %}
                <div class="row">
                    <div class="col-12 text-end">
                        <a href="{{ path('file', {'fileUuid': surveyResult.getDocument().getFile().getUuid()}) }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center text-white">
                            Umfrageergebnisse herunterladen
                        </a>
                    </div>
                </div>
            {% endif %}
        </div>
        {% if surveyResult.getSurveyResultChapters() != null and surveyResult.getSurveyResultChapters()|length > 0 %}
            <div class="row mb-4">
                {% for surveyResultChapter in surveyResult.getSurveyResultChapters() %}
                    <div class="col-md-6 col-lg-4 mb-3">
                        {% include 'report/component/insights/survey_result_chapter_card.html.twig' with {'surveyResultChapter': surveyResultChapter} only %}
                    </div>
                {% endfor %}
            </div>
        {% endif %}
    </div>
{% endblock %}
